Page MenuHomePhabricator

Update AbuseFilter to use AuthManager
Closed, ResolvedPublic

Description

See parent task and T110414#1578206.

Items needing updating:

  • Use of the AbortAutoAccount hook - should probably be a PreAuthenticationProvider
  • Use of the AbortNewAccount hook - should probably be a PreAuthenticationProvider

Related Objects

Event Timeline

Tgr created this task.Aug 27 2015, 2:16 AM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr added subscribers: Liuxinyu970226, Krenair, Billinghurst and 2 others.
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptAug 27 2015, 2:16 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 14 2015, 11:28 AM
Anomie updated the task description. (Show Details)May 11 2016, 8:15 PM

Change 288902 had a related patch set uploaded (by Gergő Tisza):
Update for AuthManager

https://gerrit.wikimedia.org/r/288902

demon triaged this task as High priority.May 31 2016, 4:16 PM

Change 288902 merged by jenkins-bot:
Update for AuthManager

https://gerrit.wikimedia.org/r/288902

demon closed this task as Resolved.May 31 2016, 4:46 PM
demon claimed this task.
matmarex reopened this task as Open.Jun 3 2016, 4:35 PM
matmarex removed demon as the assignee of this task.
matmarex added subscribers: demon, matmarex.

Reverted due to problems with T87876.

Change 292606 had a related patch set uploaded (by Gergő Tisza):
Update for AuthManager

https://gerrit.wikimedia.org/r/292606

Change 292606 merged by jenkins-bot:
Update for AuthManager

https://gerrit.wikimedia.org/r/292606

Tgr closed this task as Resolved.
Tgr claimed this task.

Change 299934 had a related patch set uploaded (by Gergő Tisza):
Update for AuthManager

https://gerrit.wikimedia.org/r/299934

Change 299934 merged by jenkins-bot:
Update for AuthManager

https://gerrit.wikimedia.org/r/299934